Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Classes | Public Types | Static Public Attributes | List of all members
cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ > Struct Template Reference

`#include <gemm_shared_tile.h>`

## Classes
struct | ThreadOffset

## Public Types
typedef nv_std::remove_const< Scalar_ >::type | Scalar
| The scalar. More...
typedef Scalar_ * | Pointer
| The pointer. More...
typedef ReshapeTile< Tile_, kScalarsPerSts_ >::Tile | Tile
| The tile. More...
typedef Threads_ | Threads
| The threads. More...
typedef Shape< 0, ShapeCount< Tile >::kWc, Tile::kC, kScalarsPerSts_ > | ThreadsStrides
| The strides to compute the base position of the thread. More...
typedef Shape< 1, Tile::kH/Threads::kH, Tile::kW/Threads::kW, Tile::kC/Threads::kC/kScalarsPerSts > | Iterations
| The number of iterations needed to load/store the tile. More...
typedef Shape< 0, Threads::kH *ShapeCount< Tile >::kWc, Threads::kW *kScalarsPerSts > | Delta
| The strides in each dimension between different loads/stores. More...

## Static Public Attributes
static int const | kSkew = 0
| The skew. More...
static int const | kScalarsPerSts = kScalarsPerSts_
| The number of scalars per LDG/STG. More...
static MemorySpace::Kind const | kMemorySpace = MemorySpace::kShared
| The memory space. More...

## Member Typedef Documentation

## ◆ Delta

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_>

typedef Shape<0, Threads::kH * ShapeCount<Tile>::kWc, Threads::kW * kScalarsPerSts> cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ >::Delta

## ◆ Iterations

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_>

typedef Shape<1, Tile::kH / Threads::kH, Tile::kW / Threads::kW, Tile::kC / Threads::kC / kScalarsPerSts> cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ >::Iterations

## ◆ Pointer

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_>

typedef Scalar_* cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ >::Pointer

## ◆ Scalar

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_>

typedef nv_std::remove_const<Scalar_>::type cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ >::Scalar

## ◆ Threads

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_>

typedef Threads_ cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ >::Threads

## ◆ ThreadsStrides

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_>

typedef Shape<0, ShapeCount<Tile>::kWc, Tile::kC, kScalarsPerSts_> cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ >::ThreadsStrides

## ◆ Tile

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_>

typedef ReshapeTile<Tile_, kScalarsPerSts_>::Tile cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ >::Tile

## Member Data Documentation

## ◆ kMemorySpace

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_>

MemorySpace::Kind const cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ >::kMemorySpace = MemorySpace::kShared
| static

## ◆ kScalarsPerSts

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_>

int const cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ >::kScalarsPerSts = kScalarsPerSts_
| static

## ◆ kSkew

template<typename Scalar_ , typename Tile_ , typename Threads_ , int kScalarsPerSts_>

int const cutlass::gemm::GemmSharedStoreIteratorAbTraits< Scalar_, Tile_, Threads_, kScalarsPerSts_ >::kSkew = 0
| static

The documentation for this struct was generated from the following file:

- gemm_shared_tile.h